## r-cran-earth 4.7.0

=== DESCRIPTION ===
Package: earth
Version: 4.7.0
Title: Multivariate Adaptive Regression Splines
Author: Stephen Milborrow.  Derived from mda:mars by Trevor Hastie and
    Rob Tibshirani.  Uses Alan Miller's Fortran utilities
    with Thomas Lumley's leaps wrapper.
Maintainer: Stephen Milborrow <milbo@sonic.net>
Depends: R (>= 3.5.0), plotmo (>= 3.5.1), TeachingDemos (>= 2.10)
Suggests: gam (>= 1.16), mgcv (>= 1.8-26), mda (>= 0.4-10), MASS (>=
        7.3-51)
Description: Build regression models using the techniques in Friedman's
    papers "Fast MARS" and "Multivariate Adaptive Regression
    Splines" <doi:10.1214/aos/1176347963>.
    (The term "MARS" is trademarked and thus not used in
    the name of the package.)
License: GPL-3
LazyData: yes
URL: http://www.milbo.users.sonic.net/earth
Packaged: 2019-01-03 07:48:01 UTC; milbo
Repository: CRAN
Date/Publication: 2019-01-03 16:20:09 UTC
RoxygenNote: 5.0.1
NeedsCompilation: yes

=== debian/changelog ===
r-cran-earth (4.7.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Mon, 07 Jan 2019 11:43:32 +0100

r-cran-earth (4.6.3-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Tue, 11 Sep 2018 08:52:39 +0200

r-cran-earth (4.6.2-1) unstable; urgency=medium

  * Initial release (closes: #894902)

 -- Andreas Tille <tille@debian.org>  Thu, 05 Apr 2018 14:03:49 +0200

=== debian/control ===
Source: r-cran-earth
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-plotmo,
               r-cran-teachingdemos (>= 2.10)
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-earth
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-earth.git
Homepage: https://cran.r-project.org/package=earth

Package: r-cran-earth
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R multivariate adaptive regression splines
 This GNU R package builds regression models using the techniques in
 Friedman's papers "Fast MARS" and "Multivariate Adaptive Regression
 Splines" <doi:10.1214/aos/1176347963>.
 (The term "MARS" is trademarked and thus not used in the name of the
 package.)

## r-cran-earth 5.1.1

=== debian/changelog ===
r-cran-earth (5.1.1-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Thu, 18 Jul 2019 12:59:25 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
-               r-cran-plotmo,
+               r-cran-formula (>= 1.2-3),
+               r-cran-plotmo (>= 3.5.4),
                r-cran-teachingdemos (>= 2.10)
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-earth
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-earth.git
 Homepage: https://cran.r-project.org/package=earth

## r-cran-earth 5.1.2

=== DESCRIPTION ===
Package: earth
Version: 5.1.2
Title: Multivariate Adaptive Regression Splines
Author: Stephen Milborrow.  Derived from mda:mars by Trevor Hastie and
    Rob Tibshirani.  Uses Alan Miller's Fortran utilities
    with Thomas Lumley's leaps wrapper.
Maintainer: Stephen Milborrow <milbo@sonic.net>
Depends: R (>= 3.4.0), Formula (>= 1.2-3), plotmo (>= 3.5.4),
        TeachingDemos (>= 2.10)
Suggests: gam (>= 1.16), mgcv (>= 1.8-26), mda (>= 0.4-10), MASS (>=
        7.3-51)
Description: Build regression models using the techniques in Friedman's
    papers "Fast MARS" and "Multivariate Adaptive Regression
    Splines" <doi:10.1214/aos/1176347963>.
    (The term "MARS" is trademarked and thus not used in
    the name of the package.)
License: GPL-3
LazyData: yes
URL: http://www.milbo.users.sonic.net/earth
Packaged: 2019-11-08 22:13:36 UTC; milbo
Repository: CRAN
Date/Publication: 2019-11-09 10:10:02 UTC
RoxygenNote: 5.1.2
NeedsCompilation: yes

=== debian/changelog ===
r-cran-earth (5.1.2-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Set upstream metadata fields: Archive.

 -- Andreas Tille <tille@debian.org>  Tue, 12 Nov 2019 10:49:18 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-formula (>= 1.2-3),
                r-cran-plotmo (>= 3.5.4),
                r-cran-teachingdemos (>= 2.10)
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-earth
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-earth.git
 Homepage: https://cran.r-project.org/package=earth

## r-cran-earth 5.3.0

=== DESCRIPTION ===
Package: earth
Version: 5.3.0
Title: Multivariate Adaptive Regression Splines
Author: Stephen Milborrow.  Derived from mda:mars by Trevor Hastie and
    Rob Tibshirani.  Uses Alan Miller's Fortran utilities
    with Thomas Lumley's leaps wrapper.
Maintainer: Stephen Milborrow <milbo@sonic.net>
Depends: R (>= 3.4.0), Formula (>= 1.2-3), plotmo (>= 3.6.0),
        TeachingDemos (>= 2.10)
Suggests: gam (>= 1.20), mgcv (>= 1.8-26), mda (>= 0.5-2), MASS (>=
        7.3-51)
Description: Build regression models using the techniques in Friedman's
    papers "Fast MARS" and "Multivariate Adaptive Regression
    Splines" <doi:10.1214/aos/1176347963>.
    (The term "MARS" is trademarked and thus not used in
    the name of the package.)
License: GPL-3
LazyData: yes
URL: http://www.milbo.users.sonic.net/earth/
Packaged: 2020-10-11 18:03:02 UTC; milbo
Repository: CRAN
Date/Publication: 2020-10-11 19:50:03 UTC
RoxygenNote: 5.1.2
NeedsCompilation: yes

=== debian/changelog ===
r-cran-earth (5.3.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 26 Oct 2020 14:53:21 +0100

r-cran-earth (5.2.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 21 Sep 2020 09:47:24 +0200

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,19 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-formula (>= 1.2-3),
-               r-cran-plotmo (>= 3.5.4),
+               r-cran-plotmo (>= 3.6.0),
                r-cran-teachingdemos (>= 2.10)
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-earth
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-earth.git
 Homepage: https://cran.r-project.org/package=earth
+Rules-Requires-Root: no
 
 Package: r-cran-earth
 Architecture: any

## r-cran-earth 5.3.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: earth
-Version: 5.3.0
+Version: 5.3.1
 Title: Multivariate Adaptive Regression Splines
 Author: Stephen Milborrow.  Derived from mda:mars by Trevor Hastie and
     Rob Tibshirani.  Uses Alan Miller's Fortran utilities
@@ -17,8 +17,8 @@
 License: GPL-3
 LazyData: yes
 URL: http://www.milbo.users.sonic.net/earth/
-Packaged: 2020-10-11 18:03:02 UTC; milbo
+Packaged: 2021-07-19 17:56:24 UTC; milbo
 Repository: CRAN
-Date/Publication: 2020-10-11 19:50:03 UTC
+Date/Publication: 2021-07-20 08:30:02 UTC
 RoxygenNote: 5.1.2
 NeedsCompilation: yes

=== debian/changelog ===
r-cran-earth (5.3.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 17 Sep 2021 11:50:52 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                r-cran-formula (>= 1.2-3),
                r-cran-plotmo (>= 3.6.0),
                r-cran-teachingdemos (>= 2.10)
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-earth
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-earth.git
 Homepage: https://cran.r-project.org/package=earth

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/earth_([-\d.]*)\.tar\.gz

## r-cran-earth 5.3.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: earth
-Version: 5.3.1
+Version: 5.3.2
 Title: Multivariate Adaptive Regression Splines
 Author: Stephen Milborrow.  Derived from mda:mars by Trevor Hastie and
     Rob Tibshirani.  Uses Alan Miller's Fortran utilities
@@ -17,8 +17,8 @@
 License: GPL-3
 LazyData: yes
 URL: http://www.milbo.users.sonic.net/earth/
-Packaged: 2021-07-19 17:56:24 UTC; milbo
+Packaged: 2023-01-26 10:38:17 UTC; milbo
 Repository: CRAN
-Date/Publication: 2021-07-20 08:30:02 UTC
+Date/Publication: 2023-01-26 16:00:05 UTC
 RoxygenNote: 5.1.2
 NeedsCompilation: yes

=== debian/changelog ===
r-cran-earth (5.3.2-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 01 Feb 2023 11:30:23 +0100

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-formula (>= 1.2-3),
+               r-cran-formula,
                r-cran-plotmo (>= 3.6.0),
-               r-cran-teachingdemos (>= 2.10)
-Standards-Version: 4.6.0
+               r-cran-teachingdemos
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-earth
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-earth.git
 Homepage: https://cran.r-project.org/package=earth

## r-cran-earth 5.3.3

=== DESCRIPTION ===
Package: earth
Version: 5.3.3
Title: Multivariate Adaptive Regression Splines
Author: Stephen Milborrow.  Derived from mda:mars by Trevor Hastie and
    Rob Tibshirani.  Uses Alan Miller's Fortran utilities
    with Thomas Lumley's leaps wrapper.
Maintainer: Stephen Milborrow <milbo@sonic.net>
Depends: R (>= 3.4.0), Formula (>= 1.2-3), plotmo (>= 3.6.0),
Suggests: gam (>= 1.20), mgcv (>= 1.8-26), mda (>= 0.5-2), MASS (>=
        7.3-51)
Description: Build regression models using the techniques in Friedman's
    papers "Fast MARS" and "Multivariate Adaptive Regression
    Splines" <doi:10.1214/aos/1176347963>.
    (The term "MARS" is trademarked and thus not used in
    the name of the package.)
License: GPL-3
LazyData: yes
URL: http://www.milbo.users.sonic.net/earth/
Packaged: 2024-02-26 12:13:39 UTC; milbo
Repository: CRAN
Date/Publication: 2024-02-26 14:00:11 UTC
RoxygenNote: 5.1.2
NeedsCompilation: yes

=== debian/changelog ===
r-cran-earth (5.3.3-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:27:27 +1100

r-cran-earth (5.3.3-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 05 Mar 2024 14:29:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: r-cran-earth
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
@@ -8,8 +9,7 @@
                dh-r,
                r-base-dev,
                r-cran-formula,
-               r-cran-plotmo (>= 3.6.0),
-               r-cran-teachingdemos
+               r-cran-plotmo
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-earth
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-earth.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_install:
	dh_install
	find debian -name "*.bat" -delete

## r-cran-earth 5.3.4

=== DESCRIPTION ===
Package: earth
Version: 5.3.4
Title: Multivariate Adaptive Regression Splines
Authors@R: c(person(given = "Stephen", family = "Milborrow",
               role = c("aut", "cre"), email = "milbo@sonic.net"),
             person(given = "Trevor",  family = "Hastie",     role = "aut"),
             person(given = "Rob",     family = "Tibshirani", role = "aut"),
             person(given = "Alan",    family = "Miller",     role = "ctb"),
             person(given = "Thomas",  family = "Lumley",     role = "ctb"))
Depends: R (>= 3.4.0), Formula (>= 1.2-3), plotmo (>= 3.6.0),
Suggests: gam (>= 1.20), mgcv (>= 1.8-26), mda (>= 0.5-2), MASS (>=
        7.3-51)
Description: Build regression models using the techniques in Friedman's
    papers "Fast MARS" and "Multivariate Adaptive Regression
    Splines" <doi:10.1214/aos/1176347963>.
    (The term "MARS" is trademarked and thus not used in
    the name of the package.)
License: GPL-3
LazyData: yes
URL: http://www.milbo.users.sonic.net/earth/
Packaged: 2024-10-05 19:29:53 UTC; milbo
Repository: CRAN
Date/Publication: 2024-10-05 20:20:02 UTC
RoxygenNote: 5.1.2
NeedsCompilation: yes
Author: Stephen Milborrow [aut, cre],
  Trevor Hastie [aut],
  Rob Tibshirani [aut],
  Alan Miller [ctb],
  Thomas Lumley [ctb]
Maintainer: Stephen Milborrow <milbo@sonic.net>

=== debian/changelog ===
r-cran-earth (5.3.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 28 Jan 2025 13:33:53 +0900

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: r-cran-earth
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
@@ -10,7 +9,7 @@
                r-base-dev,
                r-cran-formula,
                r-cran-plotmo
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-earth
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-earth.git
 Homepage: https://cran.r-project.org/package=earth

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-gam (>= 1.20),
        r-cran-mgcv (>= 1.8-26),
        r-cran-mda (>= 0.5-2),
        r-cran-mass (>= 7.3-51)
Restrictions: allow-stderr

## r-cran-earth 5.3.5

=== debian/changelog ===
r-cran-earth (5.3.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 14 Jan 2026 08:55:40 +0900

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,10 @@
                dh-r,
                r-base-dev,
                r-cran-formula,
-               r-cran-plotmo
-Standards-Version: 4.7.0
+               r-cran-plotmo,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-earth
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-earth.git
 Homepage: https://cran.r-project.org/package=earth
